> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.onlinestatuschanged.md).

# OnLineStatusChanged(LocalizedLine)

Method in [DialogueViewBase](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

Called by the DialogueRunner to indicate that the line that this view is delivering has changed state.

```csharp
public virtual void OnLineStatusChanged(LocalizedLine dialogueLine)
```

## Remarks

Subclasses of [DialogueViewBase](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md) should override this method to be notified when a line has become interrupted, and when the line has finished being delivered by all views.

The default implementation does nothing.

## Parameters

| Name                                                                                            | Description                                                                                         |
| ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| [Yarn.Unity.LocalizedLine](/2.0/api/csharp/yarn.unity/yarn.unity.localizedline.md) dialogueLine | The [LocalizedLine](/2.0/api/csharp/yarn.unity/yarn.unity.localizedline.md) that has changed state. |

## See Also

* [LineStatus](https://github.com/YarnSpinnerTool/YSDocs/blob/versions/2.0/api/csharp/yarn.unity.linestatus.md): The presentation status of a [LocalizedLine](/2.0/api/csharp/yarn.unity/yarn.unity.localizedline.md) .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.onlinestatuschanged.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
